Bug 19685 - Sound not working on Dell Inspiron 3500
Summary: Sound not working on Dell Inspiron 3500
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Dale Lovelace
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-24 14:47 UTC by Red Hat Bugzilla
Modified: 2014-03-17 02:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-18 17:32:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Red Hat Bugzilla 2000-10-24 14:47:43 UTC
Up until RH62 sound was supported on this system. However, on RH7
sndconfig very explicitly tells me that this device is not
supported. 
                                                                                                                                                    
Details from sndconfig: 

Model: Neomagic Corporation|MagicMedia 256AV Audio Device on
Colorado Inspiron.

Can I use the sound drivers from 6.2? If so, how?

Comment 1 Red Hat Bugzilla 2000-10-24 18:20:19 UTC
You should be able to use it in the same way you did
in 6.2; it just no longer tries to automatically configure
the nm256 driver, as that *won't* work.



Comment 2 Red Hat Bugzilla 2000-10-24 18:47:57 UTC
But in RH62 I just used `sndconfig' and it worked fine. I don't know how to
manually take the drivers from 6.2 into 7.0. Where in the 6.2 CD-ROM can I find
them? Where do I copy them?


Comment 3 Red Hat Bugzilla 2000-10-24 19:12:34 UTC
Did you upgrade or install? Do you have your /etc/conf.modules
from 6.2?


Comment 4 Red Hat Bugzilla 2000-10-24 19:19:19 UTC
I installed from scratch but I kept /etc, /usr/local and /root from my previous
installation.

Comment 5 Red Hat Bugzilla 2000-10-24 19:23:39 UTC
OK, what does your previous /etc/conf.modules say?

Comment 6 Red Hat Bugzilla 2000-10-25 12:06:48 UTC
$ cat /backup/etc/conf.modules 
alias parport_lowlevel parport_pc
pre-install pcmcia_core /etc/rc.d/init.d/pcmcia start
post-install awe_wave /bin/sfxload /etc/midi/GU11-ROM.SF2
keep
path[pcmcia]=/lib/modules/default
path[pcmcia]=/lib/modules/preferred
options adlib_card io=0x388
alias sound ad1848
pre-install sound insmod sound dmabuf=1
alias midi opl3
options opl3 io=0x388
options ad1848 io=0x530 irq=7 dma=0 dma2=1

Comment 7 Red Hat Bugzilla 2000-10-25 18:34:33 UTC
OK, add the following to your current /etc/modules.conf:

alias sound-slot-0 ad1848
options sound dmabuf=1
alias midi opl3
options opl3 io=0x388
options ad1848 io=0x530 irq=7 dma=0 dma2=1

Does that work?

Comment 8 Red Hat Bugzilla 2000-10-25 18:51:38 UTC
Like a charm. Thanks!


Comment 9 Red Hat Bugzilla 2000-10-25 19:06:22 UTC
OK. I need to somehow change it so that it maps the
PCI neomagic in this case to the isa driver.

Comment 10 Red Hat Bugzilla 2000-10-25 19:14:32 UTC
If you want, I can beta-test whatever changes you have in mind.


Comment 11 Red Hat Bugzilla 2000-12-18 03:02:08 UTC
Is it expected behavior for sndconfig to drop back to the prompt, rather than
going into manual config for this card?  Seems to me from prior experiences with
sndconfig that going to manual config mode is the consequence of a failure in
the probe or autoconfig mode.  One can run sndconfig --noprobe and get the
correct behavior in order to get it set up, as thats what I did in order to get
mine working.

Comment 12 Red Hat Bugzilla 2000-12-18 17:32:35 UTC
Yes, that's the normal behavior for PCI cards. The nm256 sound is,
well, odd in this regard.

Comment 13 Red Hat Bugzilla 2001-03-19 22:10:32 UTC
This should be fixed in sndconfig-0.64.6-1; if it sees this particular
variant of the NM256, it will use the WSS driver, and ask you for
the IO/IRQ/DMA/etc. for it.


Note You need to log in before you can comment on or make changes to this bug.